Katello - Bug #7119

Host Collection actions selects all available hosts if collection name has spaces in them
08/15/2014 04:41 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1130645 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/459
7
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1130645
Description of problem:

Created a host collection named 'RHEL 6 x86_64' and added one of my 2 content hosts to it. | then went to Host Collections, chose
content_view:'RHEL 6 x86_64' and tried to install a package by choosing the "Package Installation, Removal, and Update" from the
Collection Actions tab. | noticed that all my existing content hosts were being selected (see attached screenshot).

| then renamed my host collection to 'foo' and tried it again. This time only the one content host associated with 'foo' were
selected/displayed.

Version-Release number of selected component (if applicable):

Browser:

¢ Satellite-6.0.4-RHEL-6-20140813.2

Packages:

candlepin-0.9.23-1.el7.noarch
candlepin-common-1.0.1-1.el7.noarch
candlepin-guice-3.0-2_redhat_1.el7.noarch
candlepin-scl-1-5.el7.noarch
candlepin-scl-quartz-2.1.5-6.el7.noarch
candlepin-scl-rhino-1.7R3-3.el7.noarch
candlepin-scl-runtime-1-5.el7.noarch
candlepin-selinux-0.9.23-1.el7.noarch
candlepin-tomcat-0.9.23-1.el7.noarch
elasticsearch-0.90.10-4.el7sat.noarch
foreman-1.6.0.40-1.el7sat.noarch
foreman-compute-1.6.0.40-1.el7sat.noarch
foreman-gce-1.6.0.40-1.el7sat.noarch
foreman-libvirt-1.6.0.40-1.el7sat.noarch
foreman-ovirt-1.6.0.40-1.el7sat.noarch
foreman-postgresql-1.6.0.40-1.el7sat.noarch
foreman-proxy-1.6.0.27-1.el7sat.noarch
foreman-selinux-1.6.0.6-1.el7sat.noarch
foreman-vmware-1.6.0.40-1.el7sat.noarch
katello-1.5.0-28.el7sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el7sat.noarch
katello-installer-0.0.59-1.el7sat.noarch
openldap-2.4.39-3.el7.x86_64
pulp-katello-0.3-3.el7sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
pulp-selinux-2.4.0-0.30.beta.el7sat.noarch
pulp-server-2.4.0-0.30.beta.el7sat.noarch
python-ldap-2.4.6-6.el7.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch
rubygem-hammer_cli-0.1.1-11.el7sat.noarch

e rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch
e rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch
e rubygem-hammer_cli_katello-0.0.4-12.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. Make sure to have more than one content host

2. Create a new host collection and name it 'RHEL 6 x86_64'

3. Add one one of your existing content hosts to this host collection

4. Select the 'RHEL 6 x86_64" host collection and then attempt to perform one of the available actions from the Collection Actions tab

Actual results:

All available content hosts are selected

Expected results:

Only the one content host associated to 'RHEL 6 x86_64" should be selected/displayed
Additional info:

> /var/log/foreman/production.log <

Processing by Katello::Api::V2::HostCollectionsController#show as JSON

Parameters: {"fields"=>"full", "api_version"=>"v2", "id"=>"2"}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/host_collections/show.json.rabl within
katello/api/v2/layouts/resource (4.4ms)

Completed 200 OK in 12ms (Views: 5.0ms | ActiveRecord: 1.4ms)

Processing by Katello::Api::V2::SystemsController#index as JSON

Parameters: {"page"=>"1", "paged"=>"true", "search"=>"", "sort_by"=>"name", "sort_order"=>"ASC", "api_version"=>"v2",
"host_collection_id"=>"2"}

Associated revisions

Revision 37df2d9d - 08/20/2014 04:02 PM - Walden Raines
Fixes #7119/BZ1130645: double quote host collection name in search.
The host collection search was using single quotes which search

isn't happy with. This commit changes the host collection bulk
actions to use double quotes.

http://projects.theforeman.org/issues/7119
https://bugzilla.redhat.com/show_bug.cgi?id=1130645

Revision 06bd1e73 - 08/20/2014 04:02 PM - Walden Raines

Fixes #7119/BZ1130645: double quote host collection name in search.
The host collection search was using single quotes which search

isn't happy with. This commit changes the host collection bulk

actions to use double quotes.

http://projects.theforeman.org/issues/7119
Revision 57¢81002 - 08/21/2014 11:35 AM - Walden Raines
Merge pull request #4597 from waldenraines/7119

Fixes #7119/BZ1130645: double quote host collection name in search.

History

#1 - 08/17/2014 02:27 PM - Eric Helms
- Target version set to 55

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/20/2014 04:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4597 added
- Pull request deleted ()

#3 - 08/21/2014 12:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|37df2d9d4eb0162e643ecadfe6abf679b8f4b4f7.

#4 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
